[Numpy-discussion] Installation bug on Python 3.3?

Jaakko Luttinen jaakko.luttinen@aalto...
Mon Aug 5 08:09:18 CDT 2013


I was able to install by downloading the package for version 1.7.1 from
github and then running

    python3.3 setup.py install

No errors given. So, the problem might be related to pip and the fact
that python3.3 is installed locally in my personal home folder which is
in a different filesystem than the other python versions. So it might be
because of some hardlinks over different partitions or something similar.

Anyway, it seems that I have the same problem installing other python
packages too, so it is not related to numpy but either python 3.3, pip,
virtualenv or my system set up.

But still, any help is appreciated.

-Jaakko

On 08/05/2013 12:53 PM, Jaakko Luttinen wrote:
> Hi,
> 
> I'm trying to install NumPy 1.7.1 for Python 3.3 using
> 
>     pip install numpy
> 
> However, I get the following error after a while:
> 
>     error: numpy.egg-info/dependency_links.txt: Operation not supported
> 
> Is this a bug or am I doing something wrong? If it matters, I'm using
> virtualenv as I do not have root permission on this computer.
> 
> Thanks for any help!
> Jaakko
> 
> PS. The end of the error log:
> ----------------------------------------
> 
> Command /home/jluttine/.virtualenvs/bayespy-3.3/bin/python3.3 -c "import
> setuptools;__file__='/home/jluttine/.virtualenvs/bayespy-3.3/build/numpy/setup.py';exec(compile(open(__file__).read().replace('\r\n',
> '\n'), __file__, 'exec'))" install --record
> /tmp/pip-309wd8-record/install-record.txt
> --single-version-externally-managed --install-headers
> /home/jluttine/.virtualenvs/bayespy-3.3/include/site/python3.3 failed
> with error code 1 in /home/jluttine/.virtualenvs/bayespy-3.3/build/numpy
> 
> Exception information:
> Traceback (most recent call last):
>   File
> "/home/jluttine/.virtualenvs/bayespy-3.3/lib/python3.3/site-packages/pip-1.2.1-py3.3.egg/pip/basecommand.py",
> line 107, in main
>     status = self.run(options, args)
>   File
> "/home/jluttine/.virtualenvs/bayespy-3.3/lib/python3.3/site-packages/pip-1.2.1-py3.3.egg/pip/commands/install.py",
> line 261, in run
>     requirement_set.install(install_options, global_options)
>   File
> "/home/jluttine/.virtualenvs/bayespy-3.3/lib/python3.3/site-packages/pip-1.2.1-py3.3.egg/pip/req.py",
> line 1166, in install
>     requirement.install(install_options, global_options)
>   File
> "/home/jluttine/.virtualenvs/bayespy-3.3/lib/python3.3/site-packages/pip-1.2.1-py3.3.egg/pip/req.py",
> line 589, in install
>     cwd=self.source_dir, filter_stdout=self._filter_install,
> show_stdout=False)
>   File
> "/home/jluttine/.virtualenvs/bayespy-3.3/lib/python3.3/site-packages/pip-1.2.1-py3.3.egg/pip/util.py",
> line 612, in call_subprocess
>     % (command_desc, proc.returncode, cwd))
> pip.exceptions.InstallationError: Command
> /home/jluttine/.virtualenvs/bayespy-3.3/bin/python3.3 -c "import
> setuptools;__file__='/home/jluttine/.virtualenvs/bayespy-3.3/build/numpy/setup.py';exec(compile(open(__file__).read().replace('\r\n',
> '\n'), __file__, 'exec'))" install --record
> /tmp/pip-309wd8-record/install-record.txt
> --single-version-externally-managed --install-headers
> /home/jluttine/.virtualenvs/bayespy-3.3/include/site/python3.3 failed
> with error code 1 in /home/jluttine/.virtualenvs/bayespy-3.3/build/numpy
> _______________________________________________
> NumPy-Discussion mailing list
> NumPy-Discussion@scipy.org
> http://mail.scipy.org/mailman/listinfo/numpy-discussion
> 



More information about the NumPy-Discussion mailing list